特定のコンタクトの配信設定を取得
curl --request GET \
--url https://api.hubapi.com/communication-preferences/v4/statuses/{subscriberIdString} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.hubapi.com/communication-preferences/v4/statuses/{subscriberIdString}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.hubapi.com/communication-preferences/v4/statuses/{subscriberIdString}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"completedAt": "2023-11-07T05:31:56Z",
"results": [
{
"channel": "EMAIL",
"source": "<string>",
"subscriberIdString": "<string>",
"subscriptionId": 123,
"timestamp": "2023-11-07T05:31:56Z",
"businessUnitId": 123,
"legalBasisExplanation": "<string>",
"subscriptionName": "<string>"
}
],
"startedAt": "2023-11-07T05:31:56Z",
"errors": [
{
"category": "<string>",
"context": {},
"errors": [
{
"message": "<string>",
"code": "<string>",
"context": "{missingScopes=[scope1, scope2]}",
"in": "<string>",
"subCategory": "<string>"
}
],
"links": {},
"message": "<string>",
"status": "<string>",
"id": "<string>",
"subCategory": {}
}
],
"links": {},
"numErrors": 123,
"requestedAt": "2023-11-07T05:31:56Z"
}{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}ステータス
Get subscription preferences for a specific contact
コンタクトの現在のEメール配信設定を取得します。
GET
/
communication-preferences
/
v4
/
statuses
/
{subscriberIdString}
特定のコンタクトの配信設定を取得
Supported products
Supported products
Required Scopes
Required Scopes
承認
oauth2oauth2
The access token received from the authorization server in the OAuth 2.0 flow.
パスパラメータ
コミュニケーション設定のステータスを取得している登録読者の固有ID。
クエリパラメータ
配信登録ステータスを取得するコミュニケーションチャネル。このパラメーターは必須であり、現在「EMAIL」が有効な値としてサポートされます。
利用可能なオプション:
EMAIL 配信登録ステータスを絞り込むためのビジネスユニットのIDを表すオプションの任意の整数。
レスポンス
successful operation
処理が完了した日時。
処理から得られる結果の配列。
Show child attributes
Show child attributes
処理が開始された日時。
次の値を取り得る、処理の現在のステータス:PENDING、PROCESSING、CANCELED、COMPLETE.
利用可能なオプション:
CANCELED, COMPLETE, PENDING, PROCESSING 処理中に発生したエラーのリスト。
Show child attributes
Show child attributes
ドキュメントやリソースなど、レスポンスに関連するURLが含まれます。
Show child attributes
Show child attributes
処理中に発生したエラーの数。
リクエストが行われた日時。
最終更新日 2026年4月10日
⌘I